curl --request GET \
--url https://api.investorlift.com/v3/orgs/{id}/portfolio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/orgs/{id}/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/orgs/{id}/portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"deal_id": "f4794d8bc9c62965f166efb3001635e5",
"property_id": "4fcd9bfc9bdd5e05aeb06469b4b0f54f",
"sale_date": "2022-08-23",
"price": 6049000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyer": {
"name": null,
"org_id": "AZ:L17142520",
"org_name": "EVENTUS INTERNATIONAL LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
"parcel": {
"line": "5301 E Wonderview Rd",
"unit": null,
"city": "Phoenix",
"zip": "85018",
"county_fips": "04013",
"apn": "172-15-056",
"latitude": 33.508763,
"longitude": -111.967878,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": 9,
"bathrooms": 13,
"living_area_sqft": 20994,
"year_built": 2010
},
"held_since": "2022-08-23",
"held_basis": "roll",
"months_held": 49.1,
"confirmed_by_roll": true,
"owner_match_strength": "strong",
"owner_occupied": true,
"absentee": false
},
{
"deal_id": "dfbb73a6439c4af1598d04ee45e73c64",
"property_id": "faa96f9d61ac4ef19ced2eae186bb8eb",
"sale_date": "2021-03-23",
"price": 155000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyer": {
"name": null,
"org_id": "AZ:L17142520",
"org_name": "EVENTUS INTERNATIONAL LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
"parcel": {
"line": "727 W 8th Ave",
"unit": null,
"city": "Mesa",
"zip": "85210",
"county_fips": "04013",
"apn": "135-17-009-R",
"latitude": 33.430197,
"longitude": -111.846969,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": null,
"bathrooms": null,
"living_area_sqft": null,
"year_built": null
},
"held_since": "2021-03-23",
"held_basis": "roll",
"months_held": 66.1,
"confirmed_by_roll": true,
"owner_match_strength": "strong",
"owner_occupied": false,
"absentee": true
},
{
"deal_id": "d4e20f47aff20b13aca33d53d0a72dfb",
"property_id": "2bcae0226d473e8243282c6e3baeda1c",
"sale_date": "2020-07-21",
"price": 140520,
"doc_class": "ECONOMIC",
"flagged": false,
"buyer": {
"name": null,
"org_id": "AZ:L17142520",
"org_name": "EVENTUS INTERNATIONAL LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
"parcel": {
"line": "1801 N Horne",
"unit": null,
"city": "Mesa",
"zip": "85203",
"county_fips": "04013",
"apn": "136-25-006B",
"latitude": 33.448387,
"longitude": -111.811845,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": null,
"bathrooms": 6,
"living_area_sqft": 5307,
"year_built": 1978
},
"held_since": "2020-07-21",
"held_basis": "roll",
"months_held": 74.1,
"confirmed_by_roll": true,
"owner_match_strength": "strong",
"owner_occupied": false,
"absentee": true
}
],
"page": {
"next_cursor": "eyJ2IjoxLCJydW4iOiJ8bGVhbi1BWjE3OTIwOTI0NjAtQ0ExNzkwMjE1MTkwLUZMMTc5MDI2MjY4Mi1UWDE3OTAyNDgyMTMiLCJxIjoiY2MwN2Y0MmRmM2RlNTliZWY3ODcwYTgxMDViNjAwNDkwYmJiYmNiYWFhY2I2OTA3NDY5NGM5Y2ZmMGM0NjM1NSIsImsiOlsiMjAyMC0wNy0yMSIsImQ0ZTIwZjQ3YWZmMjBiMTNhY2EzM2Q1M2QwYTcyZGZiIl19",
"limit": 3,
"returned": 3
},
"meta": {
"generated_at": "2026-10-15T19:44:49.231Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-15T18:59:20.286Z",
"published_at": "2026-10-15T19:28:13.185Z",
"run_id": 1792092460,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}List the parcels one organization of the lean set holds now
The parcels one organization of the lean set holds now, newest hold first, one page. A row is a purchase at arm’s length of the organization with no later priced deed on the parcel, beside the reading of the roll: confirmed_by_roll says when the owner row names that purchase as its last purchase.
Use it for the holdings of an investor. For every purchase, held or sold, use /v3/orgs/{id}/deals. The zip filter keeps one place. This host does not name a person.
A call costs 0 credits.
curl --request GET \
--url https://api.investorlift.com/v3/orgs/{id}/portfolio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/orgs/{id}/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/orgs/{id}/portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"deal_id": "f4794d8bc9c62965f166efb3001635e5",
"property_id": "4fcd9bfc9bdd5e05aeb06469b4b0f54f",
"sale_date": "2022-08-23",
"price": 6049000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyer": {
"name": null,
"org_id": "AZ:L17142520",
"org_name": "EVENTUS INTERNATIONAL LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
"parcel": {
"line": "5301 E Wonderview Rd",
"unit": null,
"city": "Phoenix",
"zip": "85018",
"county_fips": "04013",
"apn": "172-15-056",
"latitude": 33.508763,
"longitude": -111.967878,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": 9,
"bathrooms": 13,
"living_area_sqft": 20994,
"year_built": 2010
},
"held_since": "2022-08-23",
"held_basis": "roll",
"months_held": 49.1,
"confirmed_by_roll": true,
"owner_match_strength": "strong",
"owner_occupied": true,
"absentee": false
},
{
"deal_id": "dfbb73a6439c4af1598d04ee45e73c64",
"property_id": "faa96f9d61ac4ef19ced2eae186bb8eb",
"sale_date": "2021-03-23",
"price": 155000,
"doc_class": "ECONOMIC",
"flagged": false,
"buyer": {
"name": null,
"org_id": "AZ:L17142520",
"org_name": "EVENTUS INTERNATIONAL LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
"parcel": {
"line": "727 W 8th Ave",
"unit": null,
"city": "Mesa",
"zip": "85210",
"county_fips": "04013",
"apn": "135-17-009-R",
"latitude": 33.430197,
"longitude": -111.846969,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": null,
"bathrooms": null,
"living_area_sqft": null,
"year_built": null
},
"held_since": "2021-03-23",
"held_basis": "roll",
"months_held": 66.1,
"confirmed_by_roll": true,
"owner_match_strength": "strong",
"owner_occupied": false,
"absentee": true
},
{
"deal_id": "d4e20f47aff20b13aca33d53d0a72dfb",
"property_id": "2bcae0226d473e8243282c6e3baeda1c",
"sale_date": "2020-07-21",
"price": 140520,
"doc_class": "ECONOMIC",
"flagged": false,
"buyer": {
"name": null,
"org_id": "AZ:L17142520",
"org_name": "EVENTUS INTERNATIONAL LLC",
"from_registry": true,
"match_basis": "principal",
"company_like": false,
"tags": []
},
"parcel": {
"line": "1801 N Horne",
"unit": null,
"city": "Mesa",
"zip": "85203",
"county_fips": "04013",
"apn": "136-25-006B",
"latitude": 33.448387,
"longitude": -111.811845,
"address_held_back": null,
"location_radius_m": null,
"bedrooms": null,
"bathrooms": 6,
"living_area_sqft": 5307,
"year_built": 1978
},
"held_since": "2020-07-21",
"held_basis": "roll",
"months_held": 74.1,
"confirmed_by_roll": true,
"owner_match_strength": "strong",
"owner_occupied": false,
"absentee": true
}
],
"page": {
"next_cursor": "eyJ2IjoxLCJydW4iOiJ8bGVhbi1BWjE3OTIwOTI0NjAtQ0ExNzkwMjE1MTkwLUZMMTc5MDI2MjY4Mi1UWDE3OTAyNDgyMTMiLCJxIjoiY2MwN2Y0MmRmM2RlNTliZWY3ODcwYTgxMDViNjAwNDkwYmJiYmNiYWFhY2I2OTA3NDY5NGM5Y2ZmMGM0NjM1NSIsImsiOlsiMjAyMC0wNy0yMSIsImQ0ZTIwZjQ3YWZmMjBiMTNhY2EzM2Q1M2QwYTcyZGZiIl19",
"limit": 3,
"returned": 3
},
"meta": {
"generated_at": "2026-10-15T19:44:49.231Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-15T18:59:20.286Z",
"published_at": "2026-10-15T19:28:13.185Z",
"run_id": 1792092460,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key.
Path Parameters
The organization id, as a search hit or a deal row carries it.
Query Parameters
Keep the parcels of these 5-digit ZIPs (comma list or repeated key), at most 60.
1^\d{5}$Page size, 1-500 (default 100).
1 <= x <= 500Opaque cursor from page.next_cursor of the previous page. A change of query, sort, weights or data version invalidates it (400 invalid_cursor). Then restart from page 1.
1 - 4096Response
The parcels the organization holds now, newest hold first, one page.
The parcels the organization holds now, newest hold first, one page.
The rows of this page.
Show child attributes
Show child attributes
Pagination: the page size, the rows returned and the cursor for the next page. Paged lists carry no total. The summary block does.
Show child attributes
Show child attributes
Response metadata of the lean family: when the API produced it, and the publishes behind the rows.
Show child attributes
Show child attributes
Was this page helpful?